Subject: Re: [Teas] Benoit Claise's No Objection on draft-ietf-teas-te-express-path-03: (with COMMENT)

From: Alia Atlas <[email-masked]>
Date: Thu, 1 Oct 2015 09:54:32 -0400

Hi Benoit,

On Thu, Oct 1, 2015 at 5:58 AM, Benoit Claise <[email-masked]> wrote:

> Benoit Claise has entered the following ballot position for
> draft-ietf-teas-te-express-path-03: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-teas-te-express-path/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> As mentioned by Sue in her OPS-DIR review:
> Status: Review with nits (very minor nits)
>
> General comments:  Document is precise, well-written, and understandable
> to those who have read the documents this draft depends on.  There is not
> a specific operations section, but this mechanisms would be included in a
> PCE or other calculation engine.   This reviewer does not see any reason
> why additional text needs to be utilized.  Individuals who write such
> algorithms and programs are utilizing these mechanisms to provide better
> paths.
>
> Nit #1:  section 1.2
>
> EF and AF abbreviations are not spelled out.  Unless these are part of
> the RFC editor’s abbreviations, it should be spelled out.
>

in abbreviations

> Nit #2: section 2.3.1
>
> /Link Los sub-TLV/Link Loss sub-TLV/
>
> /Sub-TLV[I-D-ietf.isis-te-metric-extensions]/sub-TLV
> [I-D-ietf.isis-te-metric-extensions]
>

fixed

>
> I would add: spell out the ERO abbreviation.
>

It's actually a well-known abbreviation (according to the RFC Editor
https://www.rfc-editor.org/rfc-style-guide/abbrev.expansion.txt) - but no
harm in clarity.  I did expand it the first time.

Thanks,
Alia